ApiHiveCloudReplicationArguments (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiHiveCloudReplicationArguments

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHiveReplicationArguments
  - - com.cloudera.api.swagger.model.ApiHiveCloudReplicationArguments

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiHiveCloudReplicationArguments
      extends ApiHiveReplicationArguments

  Replication arguments for Hive services.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHiveCloudReplicationArguments()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHiveCloudReplicationArguments` | `cloudRootPath(String cloudRootPath)`
    `ApiHiveCloudReplicationArguments` | `destinationAccount(String destinationAccount)`
    `boolean` | `equals(Object o)`
    `ApiHiveCloudReplicationArguments` | `exportFilesPrefix(String exportFilesPrefix)`
    `String` | `getCloudRootPath()` Get cloudRootPath
    `String` | `getDestinationAccount()` Get destinationAccount
    `String` | `getExportFilesPrefix()` When a Hive external cloud replication schedule was executed, then the exported files had the same name under the given cloud root path.
    `ReplicationOption` | `getReplicationOption()` Get replicationOption
    `String` | `getSourceAccount()` Get sourceAccount
    `int` | `hashCode()`
    `ApiHiveCloudReplicationArguments` | `replicationOption(ReplicationOption replicationOption)`
    `void` | `setCloudRootPath(String cloudRootPath)`
    `void` | `setDestinationAccount(String destinationAccount)`
    `void` | `setExportFilesPrefix(String exportFilesPrefix)`
    `void` | `setReplicationOption(ReplicationOption replicationOption)`
    `void` | `setSourceAccount(String sourceAccount)`
    `ApiHiveCloudReplicationArguments` | `sourceAccount(String sourceAccount)`
    `String` | `toString()`

    - ### Methods inherited from class com.cloudera.api.swagger.model.ApiHiveReplicationArguments

      `addTableFiltersItem, atlasReplicationNeeded, dryRun, exportDir, force, getExportDir, getHdfsArguments, getNumThreads, getRangerImportProperties, getSentryExportProperties, getSourceService, getTableFilters, hdfsArguments, isAtlasReplicationNeeded, isDryRun, isForce, isReplicateData, isReplicateImpalaMetadata, isRunInvalidateMetadata, isSentryMigration, isSkipUrlPermissions, numThreads, putRangerImportPropertiesItem, putSentryExportPropertiesItem, rangerImportProperties, replicateData, replicateImpalaMetadata, runInvalidateMetadata, sentryExportProperties, sentryMigration, setAtlasReplicationNeeded, setDryRun, setExportDir, setForce, setHdfsArguments, setNumThreads, setRangerImportProperties, setReplicateData, setReplicateImpalaMetadata, setRunInvalidateMetadata, setSentryExportProperties, setSentryMigration, setSkipUrlPermissions, setSourceService, setTableFilters, skipUrlPermissions, sourceService, tableFilters`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHiveCloudReplicationArguments

          public ApiHiveCloudReplicationArguments()

  - ### Method Detail

    - #### exportFilesPrefix

          public ApiHiveCloudReplicationArguments exportFilesPrefix(String exportFilesPrefix)

    - #### getExportFilesPrefix

          public String getExportFilesPrefix()

      When a Hive external cloud replication schedule was executed, then the exported files had the same name under the given cloud root path. Therefore, it was forbidden to concurrently execute multiple Hive external replications with the same cloud root path. <br> This field is meant to lift this restriction: it contains a prefix name that will be prepended to every export file, by default it is set to a UUID for a replication schedule. <br> <b>Note that this feature is available only if feature flag HIVE_ALLOW_CONCURRENT_REPLICATION_WITH_SAME_CLOUD_ROOT_PATH is enabled on both source and destination! It's NOT supported for cloud backup only and cloud restore only replications.</b> <br> For instance if #cloudRootPath == s3a://bucket/warehouse/external/my_db and #exportFilesPrefix == ab58c108, then after a successful replication the following export files will be in the cloud: <ul> <li>s3a://bucket/warehouse/external/my_db/ab58c108export.json</li> <li>s3a://bucket/warehouse/external/my_db/ab58c108.export.json.meta</li> <li>s3a://bucket/warehouse/external/my_db/ab58c108sentry-export.json</li> </ul> In the next replication run the same UUID will be used for a certain schedule as before, so the same export files will be overwritten in the cloud. This way the cloud root path won't be polluted.
      Returns:
        exportFilesPrefix

    - #### setExportFilesPrefix

          public void setExportFilesPrefix(String exportFilesPrefix)

    - #### sourceAccount

          public ApiHiveCloudReplicationArguments sourceAccount(String sourceAccount)

    - #### getSourceAccount

          public String getSourceAccount()

      Get sourceAccount
      Returns:
        sourceAccount

    - #### setSourceAccount

          public void setSourceAccount(String sourceAccount)

    - #### destinationAccount

          public ApiHiveCloudReplicationArguments destinationAccount(String destinationAccount)

    - #### getDestinationAccount

          public String getDestinationAccount()

      Get destinationAccount
      Returns:
        destinationAccount

    - #### setDestinationAccount

          public void setDestinationAccount(String destinationAccount)

    - #### cloudRootPath

          public ApiHiveCloudReplicationArguments cloudRootPath(String cloudRootPath)

    - #### getCloudRootPath

          public String getCloudRootPath()

      Get cloudRootPath
      Returns:
        cloudRootPath

    - #### setCloudRootPath

          public void setCloudRootPath(String cloudRootPath)

    - #### replicationOption

          public ApiHiveCloudReplicationArguments replicationOption(ReplicationOption replicationOption)

    - #### getReplicationOption

          public ReplicationOption getReplicationOption()

      Get replicationOption
      Returns:
        replicationOption

    - #### setReplicationOption

          public void setReplicationOption(ReplicationOption replicationOption)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `ApiHiveReplicationArguments`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ApiHiveReplicationArguments`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `ApiHiveReplicationArguments`

Copyright © 2026. All rights reserved.